<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Pagesize Property
BaseDatabase Class See Also

The database's current page size.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public uint Pagesize { get; }

Visual Basic (Declaration)

    Public ReadOnly Property Pagesize As UInteger

Visual C++

    public:
    property unsigned int Pagesize {
    	unsigned int get ();
    }

# Remarks

If PageSize was not set by your application, then the default pagesize is selected based on the underlying filesystem I/O block size.

# See Also

BaseDatabase Class
BerkeleyDB Namespace